%define module_name Term-YAP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/File.pm) perl(Moo.pm) perl(Moose.pm) perl(Test/Exception.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/TempDir/Tiny.pm) perl(Thread/Queue.pm) perl(Time/HiRes.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: show pulsed progress bar in terminal
Group: Development/Perl
License: gpl
URL: https://github.com/glasswalk3r/Term-YAP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARFREITAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Term::YAP is a the Moo manpage based class to implement a "pulse" bar in a terminal. A pulse bar does not shows any progress of the task being executed
but at least shows that the program is working instead of showing nothing for user.

This is the parent class and some methods were not implemented, you probably want to look for subclasses to get an implementation.

This module was shamelessly copied from the Term::Pulse manpage. Sorry, couldn't get my bug/patch approved. :-)
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md README Changes
%perl_vendor_privlib/T*

%changelog
* Sun May 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- updated by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

